import {request} from './request.js'

export default{
	// 商品
	productApi:require("./module/productApi.js").default,
	// 订单，模块
	orderApi:require("./module/orderApi.js").default,
	// ai，模块
	aiApi:require("./module/aiApi.js").default,
	/*
	* 登录相关
	*/
	doLogin(data){//登录
		return new Promise((resolve, reject) => {
			request.get('/oauth/token', data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	// 消息相关
	getNewList(data) {// 获取消息列表
		return new Promise((resolve, reject) => {
			request.get('/system/notice/personal',data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	getNewDetetail(id) {// 获取消息详情
		return new Promise((resolve, reject) => {
			request.get('/system/notice/' + id)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	readNew(data) {// 阅读消息
		return new Promise((resolve, reject) => {
			request.put('/system/notice/read',data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	getDictList(type) {// 获取消息详情
		return new Promise((resolve, reject) => {
			request.get('/system/dict/data/type/' + type)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	getOssDetail(id) {// 获取oss文件详情
		return new Promise((resolve, reject) => {
			request.get('/resource/oss/listByIds/' + id)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	getSmsCode(data) {// 获取短信验证码
		return new Promise((resolve, reject) => {
			request.get('/resource/sms/code',data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
}